/*
 *  ZUC: Zaurus Unit Converter
 *  Copyright (C) 2002 Nicholas J Kreucher
 *
 *  This file is part of ZUC.
 *  
 *  ZUC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  ZUC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with ZUC; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 */
#ifndef __CONV_MATRIX_H__
#define __CONV_MATRIX_H__

#include <qobject.h>
#include <qmap.h>

class QString;
class QFile;
class QComboBox;
class QPopupMenu;


// the converstion matrix class
class conv_matrix : public QObject
{
public:
	conv_matrix(char *s = 0L);
	~conv_matrix();

	long double convert(QString *f, long double fval, QString *t);
	int populate(QComboBox *fromBox, QComboBox *toBox);
	bool setSection(char *s = 0L);
	int loadSections(QPopupMenu *menu);
	QString getSection() { if(sectionAt==-1) return ""; else return *section; };
	void loadTemperature(QComboBox *fromBox, QComboBox *toBox);
	
private:
	QFile *file;
	QString *section, *base;
	int sectionAt;
	typedef QMap<QString, long double> stringlongMap;
	stringlongMap basetoMap;

	bool next_line(QString *line);
	bool findSectionEnd();
	long double lookup(QString *f, QString *t);
	long double convTemperature(QString *f, long double fval, QString *t);
	void  stripcomments(QString *line);
};

#endif

