#!/bin/sh

VERSION=1.1.2ern

if [ "$1" = "cross" ]; then
    export CROSSCOMPILE=/opt/Embedix/tools
    export QPEDIR=/opt/Qtopia/sharp
    export QTDIR=/opt/Qtopia/sharp
    export PATH=$QTDIR/bin:$QPEDIR/bin:$CROSSCOMPILE/bin:$PATH
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-sharp-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=arm
elif [ "$1" = "native" ]; then
    export CROSSCOMPILE=
    export QPEDIR=/opt/Qtopia
    export QTDIR=/opt/Qtopia
    export PATH=$QTDIR/bin:$QPEDIR/bin:$PATH:/opt/Embedix/tools/bin
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-x86-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=x86
else
    echo "usage: $0 cross | native"
    exit 1
fi

#tmake -o Makefile zuc.pro
#make
make -fMakefile.${ARCHITECTURE}
lrelease zuc.pro

for LANGUAGE in en de; do
    mkdir -p tmp/CONTROL
    mkdir -p tmp/opt/QtPalmtop/apps/Applications
    mkdir -p tmp/opt/QtPalmtop/bin
    mkdir -p tmp/opt/QtPalmtop/pics
    mkdir -p tmp/opt/QtPalmtop/etc
    if [ "$LANGUAGE" != "en" ]; then
	mkdir -p tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    fi
    cp zuc.desktop tmp/opt/QtPalmtop/apps/Applications
    cp zuc tmp/opt/QtPalmtop/bin
    cp zuc.png tmp/opt/QtPalmtop/pics
    cp zuc_units tmp/opt/QtPalmtop/etc
    if [ "$LANGUAGE" != "en" ]; then
	cp i18n/${LANGUAGE}/zuc.qm tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    fi
    cat > tmp/CONTROL/control <<END
Version: ${VERSION}
Depends: qpe-base (\$QPE_VERSION)
Priority: optional
Section: Applications
Maintainer: Robert Ernst <robert.ernst@linux-solutions.at>
Architecture: ${ARCHITECTURE}
License: GPL
Description: ZUC
 A unit converter for the Zaurus.
END
    if [ "$LANGUAGE" != "en" ]; then
	cat >> tmp/CONTROL/control <<END
Package: zuc-${LANGUAGE}
Files: bin/zuc apps/Applications/zuc.desktop pics/zuc.png etc/zuc_units
Filename: ./zuc-${LANGUAGE}_${VERSION}_${ARCHITECTURE}.ipk
END
    else
	cat >> tmp/CONTROL/control <<END
Package: zuc
Files: bin/zuc apps/Applications/zuc.desktop pics/zuc.png etc/zuc_units
Filename: ./zuc_${VERSION}_${ARCHITECTURE}.ipk
END
    fi
    ipkg-build tmp
    rm -rf tmp
done

