/*
 *  ZUC: Zaurus Unit Converter
 *  Copyright (C) 2002 Nicholas J Kreucher
 *
 *  This file is part of ZUC.
 *  
 *  ZUC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  ZUC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with ZUC; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 */
#ifndef UNITHIST_H
#define UNITHIST_H

#include <qpopupmenu.h>
#include <qstringlist.h>


class unitHistMenu : public QPopupMenu
{
public:
	unitHistMenu( QWidget * parent=0, const char * name=0 );
	~unitHistMenu();

	int addHist(const QString &from, const QString &to,
	       const QString &sec);
	const char* getSection(int i) { return section[i].latin1(); };
	const char* getToUnit(int i) { return toUnit[i].latin1(); };
	const char* getFromUnit(int i) { return fromUnit[i].latin1(); };

private:
	QStringList fromUnit;
	QStringList toUnit;
	QStringList section;
	QStringList menusz;

};

#endif

