/*
 *  ZUC: Zaurus Unit Converter
 *  Copyright (C) 2002 Nicholas J Kreucher
 *
 *  This file is part of ZUC.
 *  
 *  ZUC is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  ZUC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with ZUC; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 */
#ifndef ZUC_TOTD_H
#define ZUC_TOTD_H

#include "zuc_totdui.h"
#include <qarray.h>

class QStringList;

class zuc_totd : public zuc_totdui
{ 
    Q_OBJECT

public:
    zuc_totd( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~zuc_totd();

private:
	QStringList tips;
	QArray<int> tipNum;
	unsigned int currentTip;
	void updateTip(int num);
	void randomize();
    
public slots:
	void prev();
	void next();
};

#endif // ZUC_TOTD_H
